सामग्री पर जाएँ

Uso

इंटीग्रेट करें

मॉडल id uso
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/uso?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.10 100 API क्रेडिट · ≈ ₽10.55 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
ByteDance इमेज एडिटिंग #image-to-image

कंटेंट इमेज और एक या दो स्टाइल इमेज से स्टाइल और सब्जेक्ट-आधारित इमेज जनरेशन

ByteDance · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

डिफ़ॉल्ट

निर्माण प्रॉम्प्ट टेक्स्ट; केवल स्टाइल ट्रांसफ़र करने के लिए इसे खाली छोड़ें।

•आवश्यक
फ़ाइल ड्रॉप करें, या

इस क्रम वाली इमेज URL सूची: [content_image, style_image, extra_style_image]।

image_size डिफ़ॉल्ट square_hd

निर्मित इमेज के आयाम।

num_images डिफ़ॉल्ट 1

एक साथ बनाई जाने वाली इमेज की संख्या।

उन्नत negative_prompt · output_format · num_inference_steps · guidance_scale · seed · keep_size · enable_safety_checker
डिफ़ॉल्ट

बाहर रखी जाने वाली अवांछित इमेज सामग्री, जिसमें एलिमेंट, स्टाइल और artifacts शामिल हैं।

output_format डिफ़ॉल्ट png

आउटपुट इमेज का फ़ॉर्मैट: PNG पारदर्शिता बनाए रखता है, जबकि JPEG छोटी फ़ाइलें बनाता है।

डिफ़ॉल्ट 28

Denoising iterations की संख्या; संख्या बढ़ने पर निर्माण में अधिक समय लगता है, लेकिन गुणवत्ता बेहतर हो सकती है।

डिफ़ॉल्ट 4

प्रॉम्प्ट-अनुपालन नियंत्रण: परिणाम को प्रॉम्प्ट के अधिक निकट लाने के लिए यह मान बढ़ाएँ।

निर्माण की यादृच्छिकता नियंत्रित करने वाला सीड। सीड का पुनः उपयोग करने पर एकसमान, पुनरुत्पाद्य परिणाम मिलते हैं।

POST /run/uso?wait=20 कोटेशन → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/uso?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Uso के बारे में

`input_image_urls` में इमेज का क्रम कंटेंट इमेज, स्टाइल इमेज और वैकल्पिक अतिरिक्त स्टाइल इमेज होना चाहिए। शुद्ध स्टाइल ट्रांसफ़र के लिए प्रॉम्प्ट खाली छोड़ा जा सकता है, और `negative_prompt` अवांछित तत्वों को बाहर रखता है। `keep_size` कंटेंट इमेज के लेआउट और आयामों को बनाए रखता है। प्रत्येक रन में 1 से 4 इमेज, 1 से 50 स्टेप और PNG या JPEG आउटपुट मिलते हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
निर्माण प्रॉम्प्ट टेक्स्ट; केवल स्टाइल ट्रांसफ़र करने के लिए इसे खाली छोड़ें।
input_image_urlsआवश्यक
प्रकारurl[] · image
इस क्रम वाली इमेज URL सूची: [content_image, style_image, extra_style_image]।
image_sizeवैकल्पिक
प्रकारobject
डिफ़ॉल्टsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
निर्मित इमेज के आयाम।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
बाहर रखी जाने वाली अवांछित इमेज सामग्री, जिसमें एलिमेंट, स्टाइल और artifacts शामिल हैं।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट28
1 – 50
Denoising iterations की संख्या; संख्या बढ़ने पर निर्माण में अधिक समय लगता है, लेकिन गुणवत्ता बेहतर हो सकती है।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट4
1 – 10
प्रॉम्प्ट-अनुपालन नियंत्रण: परिणाम को प्रॉम्प्ट के अधिक निकट लाने के लिए यह मान बढ़ाएँ।
keep_sizeवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
प्रोसेसिंग के दौरान इमेज का आकार और विन्यास बनाए रखता है; यह स्टाइल ट्रांसफ़र के लिए उपयोगी विकल्प है।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
एक साथ बनाई जाने वाली इमेज की संख्या।
seedवैकल्पिक
प्रकारinteger | null
निर्माण की यादृच्छिकता नियंत्रित करने वाला सीड। सीड का पुनः उपयोग करने पर एकसमान, पुनरुत्पाद्य परिणाम मिलते हैं।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
NSFW सामग्री का पता लगाना और फ़िल्टर करना सक्षम करता है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpng
आउटपुट इमेज का फ़ॉर्मैट: PNG पारदर्शिता बनाए रखता है, जबकि JPEG छोटी फ़ाइलें बनाता है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "uso",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "input_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}स्टाइल कस्टमाइज़ेशन, विषय कस्टमाइज़ेशन या दोनों को शामिल करने वाली निर्मित इमेज।
seed
integerनिर्माण के दौरान उपयोग किया गया seed मान।
has_nsfw_concepts
array of booleanनिर्मित इमेज पर NSFW पहचान के प्रति-इमेज परिणाम।
prompt
stringनिर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।
timings
objectचरण के अनुसार विभाजित प्रदर्शन-समय माप।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/uso.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt